2012-04-26  Yavor Doganov  <yavor@gnu.org>

	* TestFramework/GNUmakefile.in:
	* TestFramework/gnustep-tests.in: Delete all core files.


--- gnustep-make.orig/TestFramework/GNUmakefile.in
+++ gnustep-make/TestFramework/GNUmakefile.in
@@ -22,5 +22,5 @@
 -include GNUmakefile.postamble
 
 after-clean::
-	rm -f core tests.log tests.sum oldtests.log oldtests.sum
+	rm -f core *.core core.* tests.log tests.sum oldtests.log oldtests.sum
 
--- gnustep-make.orig/TestFramework/gnustep-tests.in
+++ gnustep-make/TestFramework/gnustep-tests.in
@@ -507,7 +507,7 @@
       then
         $MAKE_CMD clean >/dev/null 2>&1
       fi
-      rm -rf core obj GNUmakefile gdb.cmds tests.log tests.sum oldtests.log oldtests.sum tests.tmp tests.sum.tmp tests.log.tmp
+      rm -rf core *.core core.* obj GNUmakefile gdb.cmds tests.log tests.sum oldtests.log oldtests.sum tests.tmp tests.sum.tmp tests.log.tmp
 
     else
       echo "--- Running tests in $dir ---"
@@ -562,7 +562,7 @@
       NEEDBUILD=yes
       if test x"$TEMPLATE" = x
       then
-	rm -rf core obj GNUmakefile gdb.cmds
+	rm -rf core *.core core.* obj GNUmakefile gdb.cmds
       else
 	TESTNAMES=
 	TESTRULES=
@@ -656,7 +656,7 @@
 
 if test "$GSTESTMODE" = "clean"
 then
-  rm -rf core obj GNUmakefile.tmp gdb.cmds tests.tmp tests.sum.tmp tests.log.tmp tests.log tests.sum oldtests.log oldtests.sum
+  rm -rf core *.core core.* obj GNUmakefile.tmp gdb.cmds tests.tmp tests.sum.tmp tests.log.tmp tests.log tests.sum oldtests.log oldtests.sum
 else
   # Make some stats.
   if test -r tests.sum
